# Ipopt::LowRankUpdateSymMatrixSpace Class Reference

This is the matrix space for LowRankUpdateSymMatrix. More...

`#include <IpLowRankUpdateSymMatrix.hpp>`

Inheritance diagram for Ipopt::LowRankUpdateSymMatrixSpace:
[legend]

List of all members.

## Public Member Functions
virtual SymMatrix * | MakeNewSymMatrix () const
| Overloaded MakeNew method for the SymMatrixSpace base class.
LowRankUpdateSymMatrix * | MakeNewLowRankUpdateSymMatrix () const
| Method for creating a new matrix of this specific type.
SmartPtr< const Matrix > | P_LowRank () const
SmartPtr< const VectorSpace > | LowRankVectorSpace () const
bool | ReducedDiag () const
Constructors / Destructors
| LowRankUpdateSymMatrixSpace (Index dim, SmartPtr< const Matrix > P_LowRank, SmartPtr< const VectorSpace > LowRankVectorSpace, bool reduced_diag)
| Constructor, given the dimension of the matrix.
virtual | ~LowRankUpdateSymMatrixSpace ()
| Destructor.
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| LowRankUpdateSymMatrixSpace ()
| Default Constructor.
| LowRankUpdateSymMatrixSpace (const LowRankUpdateSymMatrixSpace &)
| Copy Constructor.
void | operator= (const LowRankUpdateSymMatrixSpace &)
| Overloaded Equals Operator.
## Private Attributes
SmartPtr< const Matrix > | P_LowRank_
| Expansion matrix to lift the low-rank approximation into a possibly higher-dimensional space.
SmartPtr< const VectorSpace > | lowrank_vector_space_
| Vector space for the space in which the low-rank approximation lives.
bool | reduced_diag_
| Flag indicating whether the diagonal matrix is nonzero only in the space of V or in the full space.

## Detailed Description

This is the matrix space for LowRankUpdateSymMatrix.

Definition at line 151 of file IpLowRankUpdateSymMatrix.hpp.

## Constructor & Destructor Documentation

Ipopt::LowRankUpdateSymMatrixSpace::LowRankUpdateSymMatrixSpace | ( | Index | dim,
|  | SmartPtr< const Matrix > | P_LowRank,
|  | SmartPtr< const VectorSpace > | LowRankVectorSpace,
|  | bool | reduced_diag |
| ) |  |  | `[inline]`

Constructor, given the dimension of the matrix.

Definition at line 157 of file IpLowRankUpdateSymMatrix.hpp.

virtual Ipopt::LowRankUpdateSymMatrixSpace::~LowRankUpdateSymMatrixSpace | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 171 of file IpLowRankUpdateSymMatrix.hpp.

Ipopt::LowRankUpdateSymMatrixSpace::LowRankUpdateSymMatrixSpace | ( |  | ) | `[private]`

Default Constructor.

Ipopt::LowRankUpdateSymMatrixSpace::LowRankUpdateSymMatrixSpace | ( | const LowRankUpdateSymMatrixSpace & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

virtual SymMatrix* Ipopt::LowRankUpdateSymMatrixSpace::MakeNewSymMatrix | ( |  | ) | const`[inline, virtual]`

Overloaded MakeNew method for the SymMatrixSpace base class.

Implements Ipopt::SymMatrixSpace.

Definition at line 177 of file IpLowRankUpdateSymMatrix.hpp.

LowRankUpdateSymMatrix* Ipopt::LowRankUpdateSymMatrixSpace::MakeNewLowRankUpdateSymMatrix | ( |  | ) | const`[inline]`

Method for creating a new matrix of this specific type.

Definition at line 183 of file IpLowRankUpdateSymMatrix.hpp.

SmartPtr<const Matrix> Ipopt::LowRankUpdateSymMatrixSpace::P_LowRank | ( |  | ) | const`[inline]`

Definition at line 188 of file IpLowRankUpdateSymMatrix.hpp.

SmartPtr<const VectorSpace> Ipopt::LowRankUpdateSymMatrixSpace::LowRankVectorSpace | ( |  | ) | const`[inline]`

Definition at line 193 of file IpLowRankUpdateSymMatrix.hpp.

bool Ipopt::LowRankUpdateSymMatrixSpace::ReducedDiag | ( |  | ) | const`[inline]`

Definition at line 198 of file IpLowRankUpdateSymMatrix.hpp.

void Ipopt::LowRankUpdateSymMatrixSpace::operator= | ( | const LowRankUpdateSymMatrixSpace & |  | ) | `[private]`

Overloaded Equals Operator.

Reimplemented from Ipopt::SymMatrixSpace.

## Member Data Documentation

SmartPtr<const Matrix> Ipopt::LowRankUpdateSymMatrixSpace::P_LowRank_`[private]`

Expansion matrix to lift the low-rank approximation into a possibly higher-dimensional space.

If it is NULL, it is assume that no lift is performed.

Definition at line 225 of file IpLowRankUpdateSymMatrix.hpp.

SmartPtr<const VectorSpace> Ipopt::LowRankUpdateSymMatrixSpace::lowrank_vector_space_`[private]`

Vector space for the space in which the low-rank approximation lives.

Definition at line 229 of file IpLowRankUpdateSymMatrix.hpp.

bool Ipopt::LowRankUpdateSymMatrixSpace::reduced_diag_`[private]`

Flag indicating whether the diagonal matrix is nonzero only in the space of V or in the full space.

Definition at line 233 of file IpLowRankUpdateSymMatrix.hpp.

The documentation for this class was generated from the following file:

- src/LinAlg/IpLowRankUpdateSymMatrix.hpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Defines